#if !defined(AFX_SUPERVISSHEET_H__FB8CCD4A_DD7D_11D2_9F40_00104B6833D0__INCLUDED_)
#define AFX_SUPERVISSHEET_H__FB8CCD4A_DD7D_11D2_9F40_00104B6833D0__INCLUDED_


#include "SuperVisSettingsPage.h"	// Added by ClassView
#include "EventsHistoryPage.h"	// Added by ClassView
#include "MicroAndObjectsPage.h"	// Added by ClassView
#include "MixerPage.h"	// Added by ClassView
#include "ThemesPage.h"	// Added by ClassView
#include "VoicesPage.h"	// Added by ClassView
#include "WavVoicesPage.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// SuperVisSheet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSuperVisSheet

class CSuperVisSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CSuperVisSheet)

// Construction
public:
	CSuperVisSheet(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CSuperVisSheet(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CSuperVisSheet();


protected:
	void AddControlPages(void);
	
// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSuperVisSheet)
	public:
	virtual BOOL OnInitDialog();
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void PostNcDestroy();
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	CString m_cIniFile;
	void WriteIniFile();
	void ReadIniFile();
	void GetIniFilePath();
	CRect m_ButtonInitSize;
	BOOL m_bFirstSizing;
	CRect m_rOriginalSize;
	void RefreshSuperVisater();
	CWavVoicesPage m_WavVoicesPage;
	void SendDestroyMsg();
	BOOL m_bIsPShtActive;
	CButton m_Button;
	CVoicesPage m_VoicesPage;
	CThemesPage m_ThemesPage;
	CSuperVisSettingsPage m_SuperVisSettingPage;
	CMixerPage m_MixerPage;
	CMicroAndObjectsPage m_MicroAndObjectsPage;
	CEventsHistoryPage m_EventsHistoryPage;

	virtual ~CSuperVisSheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CSuperVisSheet)
	afx_msg void OnDestroy();
	afx_msg void OnQuit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SUPERVISSHEET_H__FB8CCD4A_DD7D_11D2_9F40_00104B6833D0__INCLUDED_)
